Subject: bug#26103: [PATCH] fix typos in doc of mail RFCs

From: Ruslan Bekenev <[email-masked]>
Date: Sat, 13 May 2017 21:39:18 +0300

Hi :)
yeah, it really looks like typos. 
If it is ok I attached a patch that changes `and` to `a`. 

---
 lisp/mail/rfc2045.el | 2 +-
 lisp/mail/rfc2047.el | 2 +-
 lisp/mail/rfc2231.el | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/lisp/mail/rfc2045.el b/lisp/mail/rfc2045.el
index f6000500e1..11a6151887 100644
--- a/lisp/mail/rfc2045.el
+++ b/lisp/mail/rfc2045.el
@@ -28,7 +28,7 @@
 (require 'ietf-drums)
 
 (defun rfc2045-encode-string (param value)
-  "Return and PARAM=VALUE string encoded according to RFC2045."
+  "Return a PARAM=VALUE string encoded according to RFC2045."
   (if (or (string-match (concat "[" ietf-drums-no-ws-ctl-token "]") value)
 	  (string-match (concat "[" ietf-drums-tspecials "]") value)
 	  (string-match "[ \n\t]" value)
diff --git a/lisp/mail/rfc2047.el b/lisp/mail/rfc2047.el
index bcbdc17631..d276e2117f 100644
--- a/lisp/mail/rfc2047.el
+++ b/lisp/mail/rfc2047.el
@@ -851,7 +851,7 @@ Point moves to the end of the region."
     (buffer-string)))
 
 (defun rfc2047-encode-parameter (param value)
-  "Return and PARAM=VALUE string encoded in the RFC2047-like style.
+  "Return a PARAM=VALUE string encoded in the RFC2047-like style.
 This is a substitution for the `rfc2231-encode-string' function, that
 is the standard but many mailers don't support it."
   (let ((rfc2047-encoding-type 'mime)
diff --git a/lisp/mail/rfc2231.el b/lisp/mail/rfc2231.el
index ba972c7346..66f539f698 100644
--- a/lisp/mail/rfc2231.el
+++ b/lisp/mail/rfc2231.el
@@ -234,7 +234,7 @@ These look like:
 	(decode-coding-string (buffer-string) coding-system)))))
 
 (defun rfc2231-encode-string (param value)
-  "Return and PARAM=VALUE string encoded according to RFC2231.
+  "Return a PARAM=VALUE string encoded according to RFC2231.
 Use `mml-insert-parameter' or `mml-insert-parameter-string' to insert
 the result of this function."
   (let ((control (ietf-drums-token-to-list ietf-drums-no-ws-ctl-token))
-- 
2.11.0 (Apple Git-81)

-- 
Ruslan Bekenev